DBusDirIter Struct Reference
D-Bus secret internal implementation details » Utilities and portability

Internals of directory iterator. More...

## Data Fields

DIR * | d
| The DIR* from opendir().
HANDLE | handle
WIN32_FIND_DATAA | fileinfo
dbus_bool_t | finished
int | offset

## Detailed Description

Internals of directory iterator.

Definition at line 627 of file dbus-sysdeps-util-unix.c.

## Field Documentation

## d

DIR* DBusDirIter::d

The DIR* from opendir().

Definition at line 629 of file dbus-sysdeps-util-unix.c.

Referenced by _dbus_directory_close(), _dbus_directory_get_next_file(), and _dbus_directory_open().

## fileinfo

WIN32_FIND_DATAA DBusDirIter::fileinfo

Definition at line 398 of file dbus-sysdeps-util-win.c.

## finished

dbus_bool_t DBusDirIter::finished

Definition at line 399 of file dbus-sysdeps-util-win.c.

## handle

HANDLE DBusDirIter::handle

Definition at line 397 of file dbus-sysdeps-util-win.c.

## offset

int DBusDirIter::offset

Definition at line 400 of file dbus-sysdeps-util-win.c.

The documentation for this struct was generated from the following files:

- dbus-sysdeps-util-unix.c
- dbus-sysdeps-util-win.c